Description

When using autoconf 2.70, the command autoreconf and therefore our mkrelease.sh script no longer work.
With older versions the error was only a warning.

$ autoreconf -l m4
configure.ac: error: AM_GNU_GETTEXT is used, but not AM_GNU_GETTEXT_VERSION or
AM_GNU_GETTEXT_REQUIRE_VERSION

Please see the attached patch.
See also: https://github.com/GNOME/libgsf/commit/91027d3447666c6f13c31b4b5984e1a8212983da

History

#1 - January 11, 2021 19:01 - Thomas Lange

@John: Do we support systems where gettext is older than 0.19.6 (released in 2015)?

#2 - January 16, 2021 20:36 - John Lindgren

Years ago, we used to just run ./autogen.sh rather than autoreconf. Would that solve the problem?

#3 - January 16, 2021 20:54 - Thomas Lange

Yes, autogen.sh still works, see also:

https://aur.archlinux.org/cgit/aur.qgit/commit/?h=audacious-qit&id=5fac5860bd5717d7a968241118dd8c488cf5fb35
But relying on this script is just a workaround. Why not fixing it properly? :)

#4 - January 17, 2021 04:39 - John Lindgren
Okay, if we want to add the version requirement, then | would suggest: AM_GNU_GETTEXT_VERSION(0.18.1)

This works on the oldest and newest system that | have tested on.

#5 - January 17, 2021 04:42 - John Lindgren

It looks to me as though adding AM_GNU_GETTEXT_REQUIRE_VERSION is only necessary/beneficial for projects using autopoint (we are not).
Correct me if | am wrong.

#6 - January 17, 2021 12:47 - Thomas Lange
All right, AM_GNU_GETTEXT_VERSION(0.18.1) alone works here too on Arch Linux. Thanks John.

#7 - January 19, 2021 04:55 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed
https://github.com/GNOME/libgsf/commit/91027d3447666c6f13c31b4b5984e1a8212983da
https://aur.archlinux.org/cgit/aur.git/commit/?h=audacious-git&id=5fac5860bd5717d7a968241118dd8c488cf5fb35

Thanks for confirming. | went ahead and pushed the fix.
